Rated 5/5 based on 240179 internet user reviews

Đến nội dung


Hình ảnh

Những câu hỏi về vẽ 3D trên AutoCAD


  • Please log in to reply
98 replies to this topic

#1 KE AN MAY DI VANG

KE AN MAY DI VANG

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 822 Bài viết
Điểm đánh giá: 570 (tốt)

Đã gửi 04 July 2008 - 11:45 AM

Có phải là không có lệnh nào để tìm giao của đương thẳng với mặt phẳng và của hai mặt phẳng với nhau.
Em chỉ thấy giao của hai solid thui. Cái này hơi vô lí phải không? Chắc là có lệnh chứ?


Tôi không biết có lệnh nào như bạn hỏi không?
Để tìm giao điểm của một đường thằng với một mặt phẳng, có rất nhiều cách làm khác nhau, cách làm của tôi hơi thủ công nhưng cũng mạnh dạn chia sẻ với các bạn mới làm quen với Auto Cad:
1- Kéo dài đường thăng đó tùy bẳng lệnh EXTEND, Stretch hoặc có thể dùng Ray, Contrution line.
2-Vẽ một đường thẳng Ray, Contrution line trong mặt phẳng (lựa chọn phương của đường thẳng sao cho nó chéo nhau trong không gian.
3- Dùng lệnh Trim: chọn đường thẳng trên mặt phẳng > cắt > giao điểm của đường thẳng với mặt phẳng

Cách làm này tôi đã sử dụng thường xuyên sử dụng khi thiết kế đường ống từ hai thiết bị khác nhau. Điểm đầu nối ống và điểm cuối cần nối ống nằm ở các tọa độ vị trí bất kỳ trong không gian.
Tôi không hiểu về lips, mong các bạn thạo về lips quan tâm đến vấn đề đề này để viết lips giúp mọi người.

Hình đã gửi

(Tôi thường vẽ trên Auto Cad 2007 , chỉnh sửa và in trên Auto Cad 2004)
  • 0
KẺ ĂN MÀY DĨ VÃNG

#2 ssg

ssg

    biết lệnh adcenter

  • Vip
  • PipPipPipPipPipPipPip
  • 1228 Bài viết
Điểm đánh giá: 1075 (rất tốt)

Đã gửi 04 July 2008 - 04:56 PM

Để tìm giao điểm của một đường thằng với một mặt phẳng, có rất nhiều cách làm khác nhau...
Tôi không hiểu về lips, mong các bạn thạo về lips quan tâm đến vấn đề đề này để viết lips giúp mọi người.

Các bạn dùng thử lisp này:
1- Lệnh ILP (Intersection between Line and Plane), chọn line và chỉ định 3 điểm thuộc mặt phẳng. Kết quả: 1 point giao điểm
2- Lệnh IPP (Intersection between Plane and Plane), chỉ định 6 điểm xác định 2 mặt phẳng. Kết quả: 1 line giao tuyến.

;;;------------------------------------------(defun intlp(p1 p2 p3 p4 p5 / tp1 tp2 ip)(command "ucs" "n" "3" p3 p4 p5)(setq    tp1 (trans p1 0 1)    tp2 (trans p2 0 1))(if (setq ip (inters tp1 tp2 (list (car tp1) (cadr tp1) 0) (list (car tp2) (cadr tp2) 0) nil))    (setq ip (trans ip 1 0)))(command "ucs" "w")ip);;;------------------------------------------(defun C:ILP(/ dL pL1 pL2 pp1 pp2 pp3 p)(setq    dL (entget (car (entsel "\nChon duong thang:")))    pL1 (cdr (assoc 10 dL))    pL2  (cdr (assoc 11 dL))    pp1 (getpoint "\nDiem 1 tren mat phang:")    pp2 (getpoint pp1 "\nDiem 2 tren mat phang:")    pp3 (getpoint pp2 "\nDiem 3 tren mat phang:")    p (intlp pL1 pL2 pp1 pp2 pp3))(setvar "pdmode" 34)(entmake (list (cons 0 "point") (cons 10 p)))(princ));;;------------------------------------------(defun C:IPP(/ p11 p12 p13 p21 p22 p23 p1 p2)(setq    p11 (getpoint "\nDiem 1 tren mat phang 1:")    p12 (getpoint p11 "\nDiem 2 tren mat phang 1:")    p13 (getpoint p12 "\nDiem 3 tren mat phang 1:")    p21 (getpoint "\nDiem 1 tren mat phang 2:")    p22 (getpoint p21 "\nDiem 2 tren mat phang 2:")    p23 (getpoint p22 "\nDiem 3 tren mat phang 2:")    p1 (intlp p11 p12 p21 p22 p23 )    p2 (intlp p11 p13 p21 p22 p23 ))(entmake (list (cons 0 "line") (cons 10 p1) (cons 11 p2)))(princ));;;------------------------------------------

  • 3

#3 pccc

pccc

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 871 Bài viết
Điểm đánh giá: 252 (khá)

Đã gửi 06 July 2008 - 06:59 AM

Gửi bác ssg và các bác trên diễn đàn
Em đang thiết kế các loại cửa vẽ 3D các bác có thể viết được lisp để scale theo một chiều hình 3D được không em rất cần cái này vì công việc hàng ngày của em thường xuyên dùng đến. em mong được các bác giúp emcảm ơn các bác nhé.
  • 0
Vừa tàn mùa xuân rồi tàn mùa hạ
Một ngày đầu thu ..................................
gặp Mũn........................

#4 ssg

ssg

    biết lệnh adcenter

  • Vip
  • PipPipPipPipPipPipPip
  • 1228 Bài viết
Điểm đánh giá: 1075 (rất tốt)

Đã gửi 09 July 2008 - 07:42 AM

Gửi bác ssg và các bác trên diễn đàn
Em đang thiết kế các loại cửa vẽ 3D các bác có thể viết được lisp để scale theo một chiều hình 3D được không em rất cần cái này vì công việc hàng ngày của em thường xuyên dùng đến. em mong được các bác giúp emcảm ơn các bác nhé.

Theo hiểu biết của ssg là không thể! Autodesk không công khai database (cơ sở dữ liệu) của các 3dSolid nên không táy máy gì được (theo cách chúng ta thường nói là giấu nghề!). Ssg chỉ biết một kiểu: tạo đối tượng 3D thành block, insert vào với các tỷ lệ theo X, Y, Z khác nhau. Tuy nhiên, sau đó chẳng thể chỉnh sửa gì được nữa. Ngoài ra, các yếu tố trong đó sẽ bị biến dạng, chẳng hạn hình tròn sẽ bị biến thành elip.
Theo ssg, công việc của bạn, và cả của bác ksgia, nên dùng các phần mềm 3D chuyên nghiệp. Chẳng hạn như cái này:
http://www.cadviet.c...amp;#entry23456
Yêu cầu trên của bạn đối với nó là chuyện nhỏ!
Mời các bạn tham gia vào cho khí thế!
  • 2

#5 vanduong

vanduong

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1379 Bài viết
Điểm đánh giá: 535 (tốt)

Đã gửi 09 July 2008 - 07:48 AM

Hình đã gửi

-----------
Pác có thể cho em xin file này được không ?
chỉ tham khảo thôi Pác à ? Những chi tiết nào Pác cảm thấy không thể Share được thì Pác Del nó !
Thanks Pác

  • 0

#6 KE AN MAY DI VANG

KE AN MAY DI VANG

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 822 Bài viết
Điểm đánh giá: 570 (tốt)

Đã gửi 16 August 2008 - 01:00 AM

-----------
Pác có thể cho em xin file này được không ?
chỉ tham khảo thôi Pác à ? Những chi tiết nào Pác cảm thấy không thể Share được thì Pác Del nó !
Thanks Pác

Rất tiếc là tôi không thể gửi file bản vẽ cho bạn được vì lý do phải giữ bí mật của công ty. Có thời gian tôi sẽ gửi cho bản File bản vẽ cũng thuộc dạng này, nhưng sẽ lựa chọn các chi tiết điển hình nhất để bạn tham khảo sau vậy, mong bạn thông cảm.
Việc vẽ 3D này cực kỳ thuận lợi vì:
1- Người công nhân có thể lắp đặp được thiết bị một cách dễ dàng nhất mà bản vẽ 2D không thể thể hiện được.
2-Tính toán được khối lượng từng chủng loại đường ống một cách nhanh nhất. Thời gian cho việc tính toán vật tư đường ống cực ngắn, chưa đến 60 phút cho cả công trình.

Hình đã gửi
Ảnh file bản vẽ tôi vẽ trên Auto Cad 2007 chỉnh sửa trên Auto Cad 2004. (Tôi đã xóa bớt các thiết bị chính chỉ để lại đường ống.)
Trong thực tế mặt bằng dự kiến ban đầu và mặt bằng lắp đặt thiết bị sau khi xây dựng nhà xưởng có khác nhau đôi chút. Việc chỉnh sửa cũng không lâu lắm.

Hình đã gửi

Hình đã gửi

Từ bản vẽ trên Auto Cad đến hiện thực cuộc sống.
  • 2
KẺ ĂN MÀY DĨ VÃNG

#7 KE AN MAY DI VANG

KE AN MAY DI VANG

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 822 Bài viết
Điểm đánh giá: 570 (tốt)

Đã gửi 09 September 2008 - 06:30 AM

em muốn in một bản CAD 3D bao gồm cả hình chiếu nữa trong cùng một bản vẽ mà em tìm mãi chẳng có tài liệu nào nói cả các anh co biết ở đâu có mách em với.thanks anh!

Bài viết tham khảo :
http://www.cadviet.c...?showtopic=2963
  • 0
KẺ ĂN MÀY DĨ VÃNG

#8 KE AN MAY DI VANG

KE AN MAY DI VANG

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 822 Bài viết
Điểm đánh giá: 570 (tốt)

Đã gửi 21 September 2008 - 02:43 PM

Em thấy cái này nó phức tạp quá , bác nào giúp em với . Mấy cái lệnh xoay quanh trục X , Y , Z em thấy khó hiểu quá , bác nào giúp em với . Đâu là mặt phẳng cố định trên màn hình ?
Chuyển đổi các dạng màn hình từ màu đen sang màn hình lưới như thế nào vậy các bác ?

Để tiện cho việc tìm kiếm ý kiến của tôi là:
“- Không lặp lại một chủ đề đã có hoặc lập một chủ đề có nội dung tương tự nhau. Không lập các chủ đề mới một cách tràn lan và không có hệ thống.”
Bởi vậy trao đổi về bài viết của bạn tôi gửi lên mục khác để các bạn mới làm quen với việc vẽ 3D trên Auto Cad dễ tìm kiếm. Trên diễn đàn có rất nhiều bài viết dạng câu hỏi như của bạn đã được viết phân tán mỗi nơi một bài, rất khó cho việc tìm kiếm. Mong bạn hiểu và thông cảm!
Bạn xem bài viết sau:

Khi vẽ trên Auto Cad 2004 mới phải dùng đến mấy cái lệnh xoay quanh trục X, Y, X ; khi dùng Auto Cad 2007 mấy cái lệnh xoay đó không còn dùng đến nữa. Đây chính là ưu điểm nổi bật của Auto Cad 2007. Vì sau khi nhập lệnh vẽ 3D bạn di chuột đến gần mặt phẳng nào mặt phẳng đó sẽ tự động mặc định UCS lên mặt phẳng đó.
Ngoài ra một số lệnh như 3 point UCS; Move UCS Ori gin; Move Facer; Estrude Facer; Offset Facer; Rotate Facer ở Auto Cad 2004 cũng không được dùng đến khi vẽ trên Auto Cad 2007. Chỉ khi nào cần phải ghi kích thước trên bản vẽ 3D trên Auto Cad 2007 ta mới dùng đến lệnh 3 point UCS.
Sử dụng Auto Cad 2007 bạn sẽ thấy nó không có lệnh Move UCS Ori gin như trong Auto Cad 2007. Lệnh tương đương với lệch đó là lệnh: UCS - đây chính là lệnh di chuyển hệ trục tọa độ sang các mặt phẳng song song với mặt phẳng mà bạn đã gắn hệ trục tọa độ bằng lệnh 3 point UCS. ( Chỉ sử dụng khi cần ghi kích thước trên hình 3D)
Khi vẽ bạn bạn nên sử dụng không gian vẽ 3D Views với các lựa chọn Top hoặc Front để thực hiện các lệnh vẽ 3D. Dùng chức năng Free Orbit để xoay vật thể trong không gian. Nếu hình 3D của bạn là bản vẽ lắp gồm nhiều chi tiết lắp ghép với nhau, có hai cách để sử dụng hiệu quả khi vẽ 3D trên Auto Cad 2007 là:
1- Bạn đặt laer cho từng nhóm chi tiết. Khi vẽ đến nối tiếp đến chi tiết ví dụ chi tiết có mầu đỏ chẳng hạn , thì bạn có thể khóa lớp có các laer mầu khác đi. Như vậy việc vẽ sẽ trở nên dễ dành. Đặc biệt với máy có cấu hình thấp việc này sẽ tăng năng suất vẽ lên đáng kể.
2- Nếu không muốn khóa lớp, bạn có thể dùng thanh công cụ UCSII để chuyển đổi hệ trục tọa độ theo 6 mặt khác nhau theo không gian nhìn: Top, Bottom, From, Back, Left và Ringht. Trong thực tế vẽ chỉ cần Top, From và Left.
  • 2
KẺ ĂN MÀY DĨ VÃNG

#9 minhduong90

minhduong90

    Chưa sử dụng CAD

  • Members
  • Pip
  • 3 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 28 October 2009 - 11:41 PM

Em ve 1 hình 3D, bây giờ muốn cắt và nhìn thấy 1 phần tư vật thể thì làm thế nào??? Em dùng lệnh Section Plane nhưng nó cắt cả nửa hình chứ không phải 1/4. Em mới học CAD, mong các anh chỉ giáo...
  • 0

#10 tncansgu

tncansgu

    Chưa sử dụng CAD

  • Members
  • Pip
  • 1 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 07 November 2009 - 08:40 AM

Em ve 1 hình 3D, bây giờ muốn cắt và nhìn thấy 1 phần tư vật thể thì làm thế nào??? Em dùng lệnh Section Plane nhưng nó cắt cả nửa hình chứ không phải 1/4. Em mới học CAD, mong các anh chỉ giáo...


Bạn cắt 2 lần bằng 2 mặt phẳng vuông góc, xóa 1/4 hình rồi union lại là xong.
  • 0

#11 vitieubao

vitieubao

    Chưa sử dụng CAD

  • Members
  • Pip
  • 3 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 10 November 2009 - 06:26 PM

chào cả nhà em là lính mơi của cad 3d thành ra cũng chăng bít gì cả mong cả nhà giúp đỡ! cái của em là sau khi cắt 1/4 hình rùi bjo em muớn gạch mặt cắt nhưng ko bít lam như thế nào mong bác nào bít chỉ giáo giúp em !thanks
  • 0

#12 tuannguyen314169

tuannguyen314169

    biết lệnh ddedit

  • Members
  • PipPipPipPip
  • 297 Bài viết
Điểm đánh giá: 57 (tàm tạm)

Đã gửi 10 November 2009 - 06:43 PM

chào cả nhà em là lính mơi của cad 3d thành ra cũng chăng bít gì cả mong cả nhà giúp đỡ! cái của em là sau khi cắt 1/4 hình rùi bjo em muớn gạch mặt cắt nhưng ko bít lam như thế nào mong bác nào bít chỉ giáo giúp em !thanks

Phải post lên thì mới cò thể trao đổi được chứ.
  • 0

#13 nguyenhuyhoang

nguyenhuyhoang

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 749 Bài viết
Điểm đánh giá: 424 (tốt)

Đã gửi 10 November 2009 - 07:45 PM

chào cả nhà em là lính mơi của cad 3d thành ra cũng chăng bít gì cả mong cả nhà giúp đỡ! cái của em là sau khi cắt 1/4 hình rùi bjo em muớn gạch mặt cắt nhưng ko bít lam như thế nào mong bác nào bít chỉ giáo giúp em !thanks

Vẽ mặt cắt trên khối 3D bạn làm như sau :
Xoay UCS sao cho mp oxy song song mặt cần vẽ mc - sau đó dời UCS vào ngay mp muốn vẽ mặt cắt - sau đó dùng lệnh Hatch và vẽ như 2D vậy

Nguyên tắc chung là làm sao sao đưa mp Oxy của trục tọa độ về mp bạn cần vẽ, mc, dim, ....
  • 0

#14 vitieubao

vitieubao

    Chưa sử dụng CAD

  • Members
  • Pip
  • 3 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 12 November 2009 - 04:00 PM

cảm ơn bác hòang nhiều nhưng khỏ nỗi em lại không bít cách đưa hệ trục toạ độ vào gốc mặt phẳng cần cắt như thế nào mong bác giúp em bác ghi thạt chi tiết tiết từng bước vào hộ em vơi cảm ơn bác nhìu!
  • 0

#15 tuannguyen314169

tuannguyen314169

    biết lệnh ddedit

  • Members
  • PipPipPipPip
  • 297 Bài viết
Điểm đánh giá: 57 (tàm tạm)

Đã gửi 12 November 2009 - 08:47 PM

cảm ơn bác hòang nhiều nhưng khỏ nỗi em lại không bít cách đưa hệ trục toạ độ vào gốc mặt phẳng cần cắt như thế nào mong bác giúp em bác ghi thạt chi tiết tiết từng bước vào hộ em vơi cảm ơn bác nhìu!

Bác phải post lên thì mới có thể trao đổi và giúp được chứ. Cụ thể làm những vấn đề gì? vì 3D nhiều vấn đề khác với 2D và tùy theo sử dụng Cad đời nào.
  • 0

#16 nguyenhuyhoang

nguyenhuyhoang

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 749 Bài viết
Điểm đánh giá: 424 (tốt)

Đã gửi 16 November 2009 - 01:01 PM

cảm ơn bác hòang nhiều nhưng khỏ nỗi em lại không bít cách đưa hệ trục toạ độ vào gốc mặt phẳng cần cắt như thế nào mong bác giúp em bác ghi thạt chi tiết tiết từng bước vào hộ em vơi cảm ơn bác nhìu!

Thế này nhé. bạn vẽ hình hộp bất kỳ - chuyển sang hình 3D - lúc này bạn thấy UCS nằm ngoài Box - gõ lệnh UCS - gõ M - chọn điểm trên box (giả sử ngay góc) - bạn thấy UCS sẽ dời đến đó. Bạn thử xem sao!
  • 1

#17 sergei49dt2

sergei49dt2

    Chưa sử dụng CAD

  • Members
  • Pip
  • 1 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 30 October 2010 - 09:59 AM

Rất tiếc là tôi không thể gửi file bản vẽ cho bạn được vì lý do phải giữ bí mật của công ty. Có thời gian tôi sẽ gửi cho bản File bản vẽ cũng thuộc dạng này, nhưng sẽ lựa chọn các chi tiết điển hình nhất để bạn tham khảo sau vậy, mong bạn thông cảm.
Việc vẽ 3D này cực kỳ thuận lợi vì:
1- Người công nhân có thể lắp đặp được thiết bị một cách dễ dàng nhất mà bản vẽ 2D không thể thể hiện được.
2-Tính toán được khối lượng từng chủng loại đường ống một cách nhanh nhất. Thời gian cho việc tính toán vật tư đường ống cực ngắn, chưa đến 60 phút cho cả công trình.

Hình đã gửi
Ảnh file bản vẽ tôi vẽ trên Auto Cad 2007 chỉnh sửa trên Auto Cad 2004. (Tôi đã xóa bớt các thiết bị chính chỉ để lại đường ống.)
Trong thực tế mặt bằng dự kiến ban đầu và mặt bằng lắp đặt thiết bị sau khi xây dựng nhà xưởng có khác nhau đôi chút. Việc chỉnh sửa cũng không lâu lắm.

Hình đã gửi

Hình đã gửi

Từ bản vẽ trên Auto Cad đến hiện thực cuộc sống.

chào các bác, em là sinh viên mới học nên cad em ko rành cho lắm. e thấy bác vẽ đep quá! hihi, e cũng mới tập tành vẽ cad 3d nhưng sao bản vẽ của e lại rất nặng. mỗi lần em thao tác 1 cái j đó là máy bị đơ vài giây, em không hiểu cho lắm. có bác nào biết chỉ cho e với. em dung win 7, cấu hình máy là: cpu Pentium D 2,8
ram 2G
có bác nào bt help me!!!
mial em la prosicky@gamil.com
  • 0

#18 lion2110

lion2110

    biết pan

  • Members
  • Pip
  • 6 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 06 October 2012 - 02:56 PM

Mình gặp vấn đề khi dùng lệnh Slice với 2 mặt cong. Làm ơn giúp mình với. Đây là file bản vẽ . Mình muốn cắt giữa các ống tròn giao nhau nhung khong dchttp://www.cadviet.c...3/64651_w22.dwg
  • 0

#19 hoan2182

hoan2182

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2406 Bài viết
Điểm đánh giá: 761 (tốt)

Đã gửi 06 October 2012 - 11:46 PM

Hình đã gửi
Bác em thích cắt qua đâu cũng được , cách làm thủ công xem hình ảnh: >> vẽ vết mặt phẳng cần cắt trên hình bằng>>> vẽ tiếp đường thẳng của mặt phẳng > gõ sl > chọn đối tượng cần cắt (em đã dính liền thành 1 khối bằng lệnh union) >>> Chọn 3 điểm trên hai đường thẳng của mặt phẳng cắt .>> nó sẽ cứa đứt đôi khối....
Mầu đỏ là vết của mặt phẳng cắt
  • 0

#20 hiepttr

hiepttr

    Edu level: li10

  • Members
  • PipPipPipPipPipPipPip
  • 1174 Bài viết
Điểm đánh giá: 441 (tốt)

Đã gửi 07 October 2012 - 07:58 AM

Hình đã gửi
Bác em thích cắt qua đâu cũng được , cách làm thủ công xem hình ảnh: >> vẽ vết mặt phẳng cần cắt trên hình bằng>>> vẽ tiếp đường thẳng của mặt phẳng > gõ sl > chọn đối tượng cần cắt (em đã dính liền thành 1 khối bằng lệnh union) >>> Chọn 3 điểm trên hai đường thẳng của mặt phẳng cắt .>> nó sẽ cứa đứt đôi khối....
Mầu đỏ là vết của mặt phẳng cắt

Cho mình ké 1 câu, có cách nào để "biến" cái vết đỏ đó thành Hatch 1 cách nhanh nhất ko?
  • 0

Có vợ dù dữ dù hiền , bạn đều có lợi
_ Nếu vợ hiền, bạn sẽ là người đàn ông sung sướng
_ Nếu vợ dữ, bạn sẽ thành ... triết gia !

Bergson